package cn.bunny.log.aspect;

import cn.bunny.common.spzx.model.entity.system.SysOperLog;
import cn.bunny.log.annotation.Log;
import cn.bunny.log.service.AsyncOperLogService;
import cn.bunny.log.utils.LogUtils;
import lombok.extern.log4j.Log4j2;
import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Aspect;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Aspect
@Component
@Log4j2
public class LogAspect {
    @Autowired
    private AsyncOperLogService asyncOperLogService;

    @Around(value = "@annotation(sysLog)")
    public Object doAroundAdvice(ProceedingJoinPoint joinPoint, Log sysLog) {
        SysOperLog sysOperLog = new SysOperLog();
        LogUtils.beforeHandleLog(sysLog,joinPoint,sysOperLog);

        Object proceed = null;
        try {
            proceed = joinPoint.proceed();
            LogUtils.afterHandlLog(sysLog,proceed,sysOperLog,0,null);

        } catch (Throwable e) {
            e.printStackTrace();
            LogUtils.afterHandlLog(sysLog, proceed, sysOperLog, 1, e.getMessage());
            throw new RuntimeException();
        }

        asyncOperLogService.saveSysOperLog(sysOperLog);
        return proceed;
    }
}
