package cn.bunny.controller;

import cn.bunny.common.spzx.model.dto.order.OrderStatisticsDto;
import cn.bunny.common.spzx.model.vo.common.Result;
import cn.bunny.common.spzx.model.vo.common.ResultCodeEnum;
import cn.bunny.common.spzx.model.vo.order.OrderStatisticsVo;
import cn.bunny.log.annotation.Log;
import cn.bunny.service.OrderInfoService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "统计查询")
@RestController
@RequestMapping("/admin/order/orderInfo")
public class OrderInfoController {
    @Autowired
    private OrderInfoService orderInfoService;

    @Log(title = "统计查询接口", businessType = 1)
    @Operation(summary = "统计查询", description = "统计查询")
    @GetMapping("getOrderStatisticsData")
    public Result getOrderStatisticsData(OrderStatisticsDto orderStatisticsDto) {
        OrderStatisticsVo orderStatisticsVo = orderInfoService.getOrderStatisticsData(orderStatisticsDto);

        return Result.build(orderStatisticsVo, ResultCodeEnum.SUCCESS);
    }
}
