package cn.bunny.service;

import cn.bunny.common.spzx.model.dto.product.CategoryBrandDto;
import cn.bunny.common.spzx.model.entity.product.Brand;
import cn.bunny.common.spzx.model.entity.product.CategoryBrand;
import cn.bunny.common.spzx.model.entity.system.SysOperLog;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface CategoryBrandService {
    // 分类品牌条件分页查询
    PageInfo<CategoryBrand> findByPage(Integer page, Integer limit, CategoryBrandDto categoryBrandDto);

    // 分类品牌添加
    void save(CategoryBrand categoryBrand);

    // 品牌修改功能
    void updateById(CategoryBrand categoryBrand);

    // 删除分类品牌
    void deleteById(Long id);

    // 根据id查询对应商品数据
    List<Brand> findBrandByCategoryId(Long categoryId);

    interface AsyncOperLogService {

        // 保存日志数据
        public abstract void saveSysOperLog(SysOperLog sysOperLog) ;
    }
}
