package cn.bunny.service.impl;

import cn.bunny.common.spzx.model.dto.order.OrderStatisticsDto;
import cn.bunny.common.spzx.model.entity.order.OrderStatistics;
import cn.bunny.common.spzx.model.vo.order.OrderStatisticsVo;
import cn.bunny.mapper.OrderStatisticsMapper;
import cn.bunny.service.OrderInfoService;
import cn.hutool.core.date.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;

@Service
public class OrderInfoServiceImpl implements OrderInfoService {
    @Autowired
    private OrderStatisticsMapper orderStatisticsMapper;

    // 统计查询
    @Override
    public OrderStatisticsVo getOrderStatisticsData(OrderStatisticsDto orderStatisticsDto) {
        List<OrderStatistics> orderStatisticsList = orderStatisticsMapper.selectList(orderStatisticsDto);

        List<String> dateList = orderStatisticsList.stream().map(OrderStatistics -> DateUtil.format(OrderStatistics.getOrderDate(), "yyyy-MM-dd")).toList();
        List<BigDecimal> decimalList = orderStatisticsList.stream().map(OrderStatistics::getTotalAmount).toList();

        OrderStatisticsVo orderStatisticsVo = new OrderStatisticsVo();
        orderStatisticsVo.setDateList(dateList);
        orderStatisticsVo.setAmountList(decimalList);

        return orderStatisticsVo;
    }
}
