package cn.bunny.service.impl;

import cn.bunny.common.spzx.model.entity.product.ProductSpec;
import cn.bunny.mapper.ProductSpecMapper;
import cn.bunny.service.ProductSpecService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ProductSpecServiceImpl implements ProductSpecService {
    @Autowired
    private ProductSpecMapper productSpecMapper;

    // 分页查询商品规格列表
    @Override
    public PageInfo<ProductSpec> findByPage(Integer page, Integer limit) {
        PageHelper.startPage(page, limit);
        List<ProductSpec> list = productSpecMapper.findByPage();
        return new PageInfo<>(list);
    }

    // 商品规格添加
    @Override
    public void save(ProductSpec productSpec) {
        productSpecMapper.save(productSpec);
    }

    // 商品规格修改
    @Override
    public void updateById(ProductSpec productSpec) {
        productSpecMapper.updateById(productSpec);
    }

    // 商品规格删除
    @Override
    public void deleteById(Integer id) {
        productSpecMapper.deleteById(id);
    }

    // 加载商品单元数据
    @Override
    public List<ProductSpec> findAll() {
        return productSpecMapper.findAll();
    }
}
