package cn.bunny.task;

import cn.bunny.common.spzx.model.entity.order.OrderStatistics;
import cn.bunny.mapper.OrderInfoMapper;
import cn.bunny.mapper.OrderStatisticsMapper;
import cn.hutool.core.date.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component
@Slf4j
public class OrderStatisticsTask {
    @Autowired
    private OrderInfoMapper orderInfoMapper;
    @Autowired
    private OrderStatisticsMapper orderStatisticsMapper;

    @Scheduled(cron = "0 0 2 * * ?")
    public void orderTotalAmountStatistics() {
        // 1. 获取前一天日期
        String createDate = DateUtil.offsetDay(new Date(), -1).toString("yyyy-MM-dd");

        // 2. 根据前一天窝气进行统计功能
        OrderStatistics orderStatistics = orderInfoMapper.selectStatisticsByDate(createDate);

        // 3. 将统计结果保存到数据库
        if (orderStatistics!=null) {
            orderStatisticsMapper.insert(orderStatistics);
        }
    }
}
