package cn.bunny.web.product.controller;

import cn.bunny.common.spzx.model.entity.product.Category;
import cn.bunny.common.spzx.model.vo.common.Result;
import cn.bunny.common.spzx.model.vo.common.ResultCodeEnum;
import cn.bunny.web.product.service.CategoryService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@Tag(name = "分类接口管理")
@RequestMapping(value="/api/product/category")
// @CrossOrigin
public class CategoryController {
    @Resource
    private CategoryService categoryService;

    @Operation(summary = "获取分类树形数据",description = "按照树型方式进行封装")
    @GetMapping("findCategoryTree")
    public Result findCategoryTree() {
    List<Category> categoryList= categoryService.findCategoryTree();
        return Result.build(categoryList, ResultCodeEnum.SUCCESS);
    }
}
