package cn.bunny.web.product.controller;

import cn.bunny.common.spzx.model.entity.product.Category;
import cn.bunny.common.spzx.model.entity.product.ProductSku;
import cn.bunny.common.spzx.model.vo.common.Result;
import cn.bunny.common.spzx.model.vo.common.ResultCodeEnum;
import cn.bunny.common.spzx.model.vo.h5.IndexVo;
import cn.bunny.web.product.service.CategoryService;
import cn.bunny.web.product.service.ProductService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "首页接口管理")
@RestController
@RequestMapping(value = "/api/product/index")
// @CrossOrigin
public class IndexController {
    @Resource
    private CategoryService categoryService;
    @Resource
    private ProductService productService;

    @Operation(summary = "获取首页数据")
    @GetMapping("")
    public Result index() {
        // 所有一级分类
        List<Category> categoryList = categoryService. selectOneCategory();
        // 根据销量排序，获取前十条激励
        List<ProductSku> productSkuList = productService.selectProductSkuBySal();

        // 封装数据到VO
        IndexVo indexVo = new IndexVo();
        indexVo.setCategoryList(categoryList);
        indexVo.setProductSkuList(productSkuList);
        return Result.build(indexVo, ResultCodeEnum.SUCCESS);
    }
}
