package cn.bunny.web.product.service.imp;

import cn.bunny.common.spzx.model.dto.h5.ProductSkuDto;
import cn.bunny.common.spzx.model.entity.product.ProductSku;
import cn.bunny.web.product.mapper.ProductSkuMapper;
import cn.bunny.web.product.service.ProductService;
import com.alibaba.fastjson.JSON;
import com.alibaba.nacos.common.utils.StringUtils;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import jakarta.annotation.Resource;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Objects;
import java.util.concurrent.TimeUnit;

@Service
public class ProductServiceImpl implements ProductService {
    @Resource
    private ProductSkuMapper productSkuMapper;
    @Resource
    private RedisTemplate redisTemplate;

    @Cacheable(value = "productSku", key = "'one'")
    @Override
    public List<ProductSku> selectProductSkuBySal() {
/*         // 1. 查询redis是否有一级分类
        Object productSkuJson = redisTemplate.opsForValue().get("productSku:one");
        String productSkuJsonString = JSON.toJSONString(productSkuJson);

        //  2. 如果存在一级分类直接返回即可
        if (!Objects.equals(productSkuJsonString, "null")) {
            return JSON.parseArray(productSkuJsonString);
        }
        // 3. 如果redis没有一级分类，查询数据库，把数据库内容返回，并且查询放到redis中
        List<ProductSku> productSkuList = productSkuMapper.selectProductSkuBySale();
        redisTemplate.opsForValue()
                .set("productSku:one", JSON.toJSON(productSkuList), 7, TimeUnit.DAYS);
        return productSkuList; */
        Object productSkuJson = redisTemplate.opsForValue().get("productSku:one");
        String productSkuJsonString = JSON.toJSONString(productSkuJson);
        if (!Objects.equals(productSkuJsonString, "null")) {
            return JSON.parseArray(productSkuJsonString);
        }
        return productSkuMapper.selectProductSkuBySale();
    }

    // 分页查询
    @Override
    public PageInfo<ProductSku> findByPage(Integer page, Integer limit, ProductSkuDto productSkuDto) {
        PageHelper.startPage(page, page);
        List<ProductSku> productSkuList = productSkuMapper.findByPage(productSkuDto);
        return new PageInfo<>(productSkuList);
    }
}
